@import "../../base";
@import "../../theme";
@import "@material/linear-progress/mdc-linear-progress";

.mat-loading-comp {
  display: flex;
  flex-direction: column;
  justify-self: center;
  align-self: center;
  z-index: 1000;
  @include mobile {
    width: $mat-cell-dimension * 10;
  }
  @include tablet {
    width: $mat-cell-dimension * 25;
  }
  @include desktop {
    width: $mat-cell-dimension * 30;
  }

  .loading-text {
    @include mat-bottom-margin(1);
    justify-self: center;
    align-self: center;
  }
}

.mat-loading-progress-bar-primary-color {
  @include mdc-linear-progress-bar-color($mdc-theme-primary);
}